@extends('pd::layouts.app')

@section('head')
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">

<!-- Datepicker -->
<link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
<!-- AutoComplete -->
<link rel="stylesheet" href="{{ Module::asset('pd:js/autocomplete/css/autocomplete.min.css') }}" type="text/css">

<meta name="csrf-token" content="{{ csrf_token() }}">

<style>
    .modal-body {
        height: 250px;
        overflow-y: auto;
    }

    @media (min-height: 500px) {
        .modal-body {
            height: 400px;
        }
    }

    @media (min-height: 800px) {
        .modal-body {
            height: 600px;
        }
    }

    .modal-header {

        padding: 1rem;
    }
</style>
@endsection

@section('content')

<div class="page-header">
    <div>
        <h3></h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="card ">
            <div class="card-body">
                <h6 class="card-title">Machine Breakdowns List</h6>
                {{ csrf_field() }}
                <div class="row">
                    <div class="col-md-2 mb-3">
                        <button onclick="" class="btn btn-primary mr-5" name="addDailyProductionModel" id="btnAddDailyProductionModel" type="button">+</button>
                    </div>
                </div>
                <table id="tblProductionPlan" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                    <thead>
                        <tr>
                            <th>Factory</th>
                            <th>Machine</th>
                            <th>Breakdown Time</th>
                            <th>Status</th>
                            <th>Edit</th>
                            <th>View</th>
                            <th>Delete</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</div>





<!--Daily Production Modal -->

<div class="modal fade" id="dailyProductionModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Machine Breakdowns</h5>
            </div>

            <div class="modal-body">
                <hr>
                <div class="row">
                    <div class="col-md-12">

                        <div class="card">
                            <div class="card-body">

                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                        <label for="cmbSite">Factory</label>
                                        <select id="cmbSite" name="site" class="form-control"></select>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                        <label for="cmbMachine">Machine</label>
                                        <select id="cmbMachine" name="machine" class="form-control"></select>
                                    </div>
                                </div>


                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-calendar text-info" aria-hidden="true"></i>
                                        <label for="txtBreakdownTime">Breakdown time</label>
                                        <input type="text" id="txtBreakdownTime" name="datetimes" class="form-control" autocomplete="off">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                        <label for="cmbReason">Reason</label>
                                        <select id="cmbReason" name="reason" class="form-control">
                                            <option value="1">Reason1</option>
                                            <option value="2">Reason2</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                        <label for="txtRefferanceNo">Note</label>
                                        <textarea id="txtReasonOfBreakdown" name="reasonOfBreakdown" class="form-control"></textarea>
                                    </div>
                                </div>


                                <div class="row updateInput">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-calendar text-info" aria-hidden="true"></i>
                                        <label for="txtRecoveredTime">Recovered time</label>
                                        <input type="text" id="txtRecoveredTime" name="datetimes" class="form-control">
                                    </div>
                                </div>

                                <div class="row updateInput">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                        <label for="txtRecoveryDetails">Recovery details</label>
                                        <textarea id="txtRecoveryDetails" name="recoveryDetails" class="form-control"></textarea>
                                    </div>
                                </div>

                                <div class="row updateInput">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                        <label for="txtTechnicalInstruction">Technical Instruction</label>
                                        <textarea id="txtTechnicalInstruction" name="technicalInstruction" class="form-control"></textarea>
                                    </div>
                                </div>

                                <div class="row updateInput">
                                    <div class="col-md-12 mb-3">
                                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                        <label for="cmbStatus">Status</label>
                                        <select id="cmbStatus" name="status" class="form-control">
                                            <option value="0">New</option>
                                            <option value="1">Recovered</option>
                                            <option value="2">Not Possible</option>
                                        </select>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
                <br>
            </div>
            <div class="modal-footer">

                <button type="button" name="saveaddorder" id="btnAction" class="btn btn-primary">Save</button>
                <button type="button" name="canceladdorder" id="btnCancelAddOrder" class="btn btn-warning" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ url('assets/js/examples/datatable.js') }}"></script>
<!-- Datepicker -->
<script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
<script src="{{ Module::asset('pd:js/autocomplete/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('pd:js/reason_of_breakdown.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('pd:js/reason_of_breakdown_list.js') }}?random=<?php echo uniqid(); ?>"></script>

<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
@endsection